package com.dcsoft.system.consume.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 考勤组人员对象 kq_group_user
 *
 * @author dcsoft
 * @date 2023-01-11
 */
public class ConsumeGroupUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 组id */
    @Excel(name = "组id")
    private Long groupId;

    /** 用户Id */
    @Excel(name = "用户Id")
    private Long userId;

    public void setGroupId(Long groupId)
    {
        this.groupId = groupId;
    }

    public Long getGroupId()
    {
        return groupId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("groupId", getGroupId())
            .append("userId", getUserId())
            .toString();
    }
}
